Subject: Re: [PATCH 02/23] refs.h: clarify docstring for the ref_transaction_update()-related fns

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 May 2017 13:13:45 +0900

Stefan Beller <[email-masked]> writes:

> On Wed, May 17, 2017 at 5:05 AM, Michael Haggerty <[email-masked]> wrote:
>> In particular, make it clear that they make copies of the sha1
>> arguments.
>
> A couple weeks ago we had plans on getting rid of SHA1 in
> "the near future" IIRC.  Would it make sense to not go down
> the SHA1 road further and document this in a more abstract way?
>
>     s/SHA1/object name/
>
> essentially, but I guess one of Brians future series' may pick this
> up as well.
>
> I am just hesitant to introduce more sha1-ism at this point.

Don't worry too much about it.  These new paragraphs explain
existing new_sha1 and old_sha1 parameters, and when they are updated
to new_oid/old_oid, the comment will get updated at the same time to
match.